PDA

Visualizza la versione completa : [Debian testing] - Apache e dipendenze / conflitti


cichity74
31-10-2006, 03:34
Maledizione.... :nillio:
che mi ha detto la testa di passare a testing..
oggi dopo un upgrade si creato un problema di dipendenze che non riesco a gestire / risolvere...



# apt-get upgrade

Reading package lists... Done
Building dependency tree... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies.
libapache2-mod-php5: Depends: apache2.2-common but it is not installed
E: Unmet dependencies. Try using -f.

# apt-get -f install apache2.2-common

Reading package lists... Done
Building dependency tree... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
apache2.2-common: Conflicts: apache2-common but 2.0.55-4.1 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).


e apache ha smesso di funzionare... :dh:



# /etc/init.d/apache2 start

Starting apache 2.0 web server...Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load:
API module structure `php5_module' in file /usr/lib/apache2/modules/libphp5.so is garbled - perhaps this is not an Apache module DSO?
failed!


help ... :( :cry:

superbubba
31-10-2006, 16:15
Hai dato un

# apt-get -f install
senza nomi di pacchetti prima?

cichity74
31-10-2006, 19:29
Originariamente inviato da superbubba
Hai dato un

# apt-get -f install
senza nomi di pacchetti prima?

Non ti seguo :confused:
la sintassi che ho usato corretta...

# apt-get -f install <nomepacchetto>
vedi: http://www.debian.org/doc/manuals/apt-howto/ch-apt-get.it.html#s-install

:confused:cichity74

superbubba
03-11-2006, 11:55
No, dallo senza nome pacchetto; semplicemente:

# apt-get -f install

cichity74
04-11-2006, 19:38
ha... :D :fagiano: :D
grazie
:ciauz: cichity74

Loading